Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree Class Reference
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree:
[legend]

## Public Member Functions
| Tree (DeflaterHuffman dh, int elems, int minCodes, int maxLength)
void | Reset ()
| Resets the internal state of the tree.
void | WriteSymbol (int code)
void | CheckEmpty ()
| Check that all frequencies are zero.
void | SetStaticCodes (short[] staticCodes, byte[] staticLengths)
| Set static codes and length.
void | BuildCodes ()
| Build dynamic codes and lengths.
void | BuildTree ()
int | GetEncodedLength ()
| Get encoded length.
void | CalcBLFreq (Tree blTree)
| Scan a literal or distance tree to determine the frequencies of the codes in the bit length tree.
void | WriteTree (Tree blTree)
| Write tree values.

## Public Attributes
short[] | freqs
byte[] | length
int | minNumCodes
int | numCodes

## Private Member Functions
void | BuildLength (int[] childs)

## Private Attributes
short[] | codes
int[] | bl_counts
int | maxLength
DeflaterHuffman | dh

## Constructor & Destructor Documentation

## ◆ Tree()

ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.Tree | ( | DeflaterHuffman | dh,
|  | int | elems,
|  | int | minCodes,
|  | int | maxLength )

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Function Documentation

## ◆ BuildCodes()

void ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.BuildCodes | ( |  | ) |

Build dynamic codes and lengths.

Here is the call graph for this function:

## ◆ BuildLength()

void ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.BuildLength | ( | int[] | childs | ) |
| private

Here is the caller graph for this function:

## ◆ BuildTree()

void ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.BuildTree | ( |  | ) |

Here is the call graph for this function:

## ◆ CalcBLFreq()

void ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.CalcBLFreq | ( | Tree | blTree | ) |

Scan a literal or distance tree to determine the frequencies of the codes in the bit length tree.

Here is the call graph for this function:

## ◆ CheckEmpty()

void ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.CheckEmpty | ( |  | ) |

Check that all frequencies are zero.

Exceptions

  SharpZipBaseException | At least one frequency is non-zero

## ◆ GetEncodedLength()

int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.GetEncodedLength | ( |  | ) |

Get encoded length.

Returns
  Encoded length, the sum of frequencies * lengths

## ◆ Reset()

void ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.Reset | ( |  | ) |

Resets the internal state of the tree.

## ◆ SetStaticCodes()

void ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.SetStaticCodes | ( | short[] | staticCodes,
|  | byte[] | staticLengths )

Set static codes and length.

Parameters

  staticCodes | new codes
  staticLengths | length for new codes

## ◆ WriteSymbol()

void ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.WriteSymbol | ( | int | code | ) |

## ◆ WriteTree()

void ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.WriteTree | ( | Tree | blTree | ) |

Write tree values.

Parameters

  blTree | Tree to write

Here is the call graph for this function:

## Member Data Documentation

## ◆ bl_counts

int [] ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.bl_counts
| private

## ◆ codes

short [] ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.codes
| private

## ◆ dh

DeflaterHuffman ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.dh
| private

## ◆ freqs

short [] ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.freqs

## ◆ length

byte [] ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.length

## ◆ maxLength

int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.maxLength
| private

## ◆ minNumCodes

int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.minNumCodes

## ◆ numCodes

int ICSharpCode.SharpZipLib.Zip.Compression.DeflaterHuffman.Tree.numCodes

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/Compression/DeflaterHuffman.cs